<?php
$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("_1a6a10bd09998ad0ae2a" . "2b4e0fd966e8" => base64_decode("U0NSSVBUX1" . "VSSQ=="), "_69c6236c9" . "27bc93c5d0" . "62074967d8" . "34d" => base64_decode("cGFnZV92ZXJza" . "W9u"), "page_" . "id" => base64_decode("cGFnZV9pZA=" . "="), "_2aef71f103069bdb72b57" . "d0b3bd1d294" => base64_decode("Q2Fubm90IGRpc3BsYXkg" . "Y29tbWVudHMgLSBwYWdl" . "IG5vdCBpZGVudGlmaWVk"));
class PublishCommentsComponent extends ClaCommentsComponent
{
    public function Show($attributes)
    {
        $_b2e2301cda45361416cebc466d340194 = PublishBrowser::Instance();
        $page_id = $_b2e2301cda45361416cebc466d340194->GetPageIdByUrl($_SERVER[$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_1a6a10bd09998ad0ae2" . "a2b4e0fd966e8"]]);
        if ($page_id < 0) {
            return $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_2aef71f103069" . "bdb72b57d0b3bd" . "1d294"];
        }
        $attributes[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["pa" . "ge" . "_i" . "d"]] = $page_id;
        return parent::Show($attributes);
    }
    public function GetCommentsObject($attributes)
    {
        $_d91345deaf5ce6430a776cdc17f9b138 = new PublishComments($attributes[$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["page_i" . "d"]], $attributes[$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_69c6236" . "c927bc93" . "c5d06207" . "4967d834" . "d"]]);
        return $_d91345deaf5ce6430a776cdc17f9b138;
    }
}